summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2014-05-08 04:55:20 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2014-05-08 04:55:20 +0200
commiteb1e05f143404312a54f0135a97225b0a17763f8 (patch)
tree305498447f3ccbce4f74daedeefa7d34794dad85
parent38543d1bd5f3c46f08a42146f942c2147d77f634 (diff)
downloadpass-eb1e05f143404312a54f0135a97225b0a17763f8.tar.gz
pass-eb1e05f143404312a54f0135a97225b0a17763f8.tar.bz2
pass-eb1e05f143404312a54f0135a97225b0a17763f8.zip
inplace: mutually exclusive with force
-rw-r--r--man/pass.12
-rwxr-xr-xsrc/password-store.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/man/pass.1 b/man/pass.1
index a433a72..42d9aec 100644
--- a/man/pass.1
+++ b/man/pass.1
@@ -110,7 +110,7 @@ ensure that temporary files are created in \fI/dev/shm\fP in order to avoid writ
difficult-to-erase disk sectors. If \fI/dev/shm\fP is not accessible, fallback to
the ordinary \fITMPDIR\fP location, and print a warning.
.TP
-\fBgenerate\fP [ \fI--no-symbols\fP, \fI-n\fP ] [ \fI--clip\fP, \fI-c\fP ] [ \fI--in-place\fP, \fI-i\fP ] [ \fI--force\fP, \fI-f\fP ] \fIpass-name pass-length\fP
+\fBgenerate\fP [ \fI--no-symbols\fP, \fI-n\fP ] [ \fI--clip\fP, \fI-c\fP ] [ \fI--in-place\fP, \fI-i\fP | \fI--force\fP, \fI-f\fP ] \fIpass-name pass-length\fP
Generate a new password using
.BR pwgen (1)
of length \fIpass-length\fP and insert into \fIpass-name\fP. If \fI--no-symbols\fP or \fI-n\fP
diff --git a/src/password-store.sh b/src/password-store.sh
index a844062..a4783b4 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -230,7 +230,7 @@ cmd_usage() {
overwriting existing password unless forced.
$PROGRAM edit pass-name
Insert a new password or edit an existing password using ${EDITOR:-vi}.
- $PROGRAM generate [--no-symbols,-n] [--clip,-c] [--in-place,-i] [--force,-f] pass-name pass-length
+ $PROGRAM generate [--no-symbols,-n] [--clip,-c] [--in-place,-i | --force,-f] pass-name pass-length
Generate a new password of pass-length with optionally no symbols.
Optionally put it on the clipboard and clear board after 45 seconds.
Prompt before overwriting existing password unless forced.
@@ -443,7 +443,7 @@ cmd_generate() {
--) shift; break ;;
esac done
- [[ $err -ne 0 || $# -ne 2 ]] && die "Usage: $PROGRAM $COMMAND [--no-symbols,-n] [--clip,-c] [--in-place,-i] [--force,-f] pass-name pass-length"
+ [[ $err -ne 0 || $# -ne 2 || ( $force -eq 1 && $inplace -eq 1 ) ]] && die "Usage: $PROGRAM $COMMAND [--no-symbols,-n] [--clip,-c] [--in-place,-i | --force,-f] pass-name pass-length"
local path="$1"
local length="$2"
check_sneaky_paths "$path"